package com.hammurapi.extract;

import java.util.concurrent.TimeUnit;

public abstract class AbstractPredicate<T, C> extends AbstractExtractor<T, Boolean, C> implements Predicate<T,C> {

	public AbstractPredicate(double initialCost, TimeUnit costUnit, boolean contextDependent, int... parameterIndices) {
		super(initialCost, costUnit, contextDependent, parameterIndices);
	}

}
